EXTRA_PROGRAMS=prime

prime_SOURCES=prime.c
prime_LDFLAGS=-L$(top_builddir)/crypto
prime_LDADD=-lcrypto
prime_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
